%global appdata_dir %{_datadir}/appdata
%global srcname pysmell

Name:           python-pysmell
Version:        0.7.3
Release:        12%{?dist}
Summary:        An autocompletion library for Python
BuildArch:      noarch

License:        BSD
URL:            https://code.google.com/p/pysmell/
Source0:        https://pypi.python.org/packages/source/p/pysmell/pysmell-%{version}.zip
# AppData for Gnome. See https://github.com/orestis/pysmell/issues/7
Source1:        vim-pysmell.metainfo.xml

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       emacs-filesystem
Provides:       emacs-pysmell <= 0.7.3-6
Obsoletes:      emacs-pysmell <= 0.7.3-6

Requires:       xemacs-filesystem
Provides:       xemacs-pysmell <= 0.7.3-6
Obsoletes:      xemacs-pysmell <= 0.7.3-6

%description
PySmell is a python IDE completion helper.

It tries to statically analyze Python source code, without executing it, and
generates information about a project's structure that IDE tools can use.

PySmell currently supports Vim, Emacs and TextMate. It can be integrated with
any editor that can run Python scripts and has an auto-complete API.

%package -n python2-%{srcname}
Summary:    %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
PySmell is a python IDE completion helper.

It tries to statically analyze Python source code, without executing it, and
generates information about a project's structure that IDE tools can use.

PySmell currently supports Vim, Emacs and TextMate. It can be integrated with
any editor that can run Python scripts and has an auto-complete API.

%package -n vim-pysmell
Summary:    Python autocompletion for vim
# Change the next Requires to %%{name} shall upstream provides python3 support
# We changed the Requires to python2- only so this will not FTBFS whenever
# Fedora defaults to python3
Requires:   python2-%{srcname} = %{version}-%{release}
Requires:   vim-filesystem

%description -n vim-pysmell
PySmell is a python IDE completion helper.

It tries to statically analyze Python source code, without executing it, and 
generates information about a project's structure that IDE tools can use.

This package provides autocompletion support for vim.


%prep
%setup -qn pysmell-%{version}

# drop unwanted shebang
sed -i '1{\@^#!/usr/bin/env python@d}' pysmell/tags.py

# CRLF -> LF
sed -i "s|\r||g" PKG-INFO

# remove bundled egg
rm -rf pysmell.egg-info

%build
%py2_build


%install
%py2_install

# install editor integration files
install -Dpm0644 pysmell.vim %{buildroot}%{_datadir}/vim/vimfiles/plugins/pysmell.vim
install -Dpm0644 pysmell.el %{buildroot}%{_datadir}/emacs/site-lisp/pysmell.el
install -Dpm0644 pysmell.el %{buildroot}%{_datadir}/xemacs/site-packages/lisp/pysmell.el

# Install AppData.
mkdir -p %{buildroot}%{appdata_dir}
install -m 644 %{SOURCE1} %{buildroot}%{appdata_dir}


%files -n python2-%{srcname}
%{python2_sitelib}/pysmell
%{python2_sitelib}/pysmell*.egg-info
%{_bindir}/pysmell
%{_datadir}/emacs/site-lisp/pysmell.el
%{_datadir}/xemacs/site-packages/lisp/pysmell.el
%doc AUTHORS CHANGELOG PKG-INFO README.markdown

%files -n vim-pysmell
%{_datadir}/vim/vimfiles/plugins/pysmell.vim
%{appdata_dir}/vim-pysmell.metainfo.xml


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 21 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0.7.3-9
- Use python macros for build and install steps
- Make python dependencies versions explicit
- Provide a python2 subpackage

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 02 2016 Athos Ribeiro <athoscr@fedoraproject.org> - 0.7.3-7
- Add Gnome Software plug-in AppData (rhbz#1128835)
- Ship Emacs files in main package (rhbz#1234566)

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Nov 11 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.7.3-2
- remove bundled egg
- use python2 in macros
- set permissions on editor integration files explicitly to avoid spurious 
  executable bits

* Sun Nov 10 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.7.3-1
- initial package
